[arch-commits] Commit in iproute2/trunk (PKGBUILD tc.patch)

Ronald van Haren ronald at archlinux.org
Mon Jun 14 02:49:41 EDT 2010


    Date: Monday, June 14, 2010 @ 02:49:40
  Author: ronald
Revision: 82589

upgpkg: iproute2 2.6.34-2
FS#19784: tc wasn't installed completely due to tc/Makefile not working properly, roll part of the Makefile back to previous version

Added:
  iproute2/trunk/tc.patch
Modified:
  iproute2/trunk/PKGBUILD

----------+
 PKGBUILD |   11 +++++------
 tc.patch |   26 ++++++++++++++++++++++++++
 2 files changed, 31 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-13 18:58:34 UTC (rev 82588)
+++ PKGBUILD	2010-06-14 06:49:40 UTC (rev 82589)
@@ -4,7 +4,7 @@
 
 pkgname=iproute2
 pkgver=2.6.34
-pkgrel=1
+pkgrel=2
 pkgdesc="IP Routing Utilities"
 arch=('i686' 'x86_64')
 license=('GPL2')
@@ -13,22 +13,21 @@
 provides=('iproute')
 conflicts=('iproute')
 replaces=('iproute')
-
 options=('!makeflags')
 backup=('etc/iproute2/ematch_map' 'etc/iproute2/rt_dsfield' 'etc/iproute2/rt_protos' \
 	'etc/iproute2/rt_realms' 'etc/iproute2/rt_scopes' 'etc/iproute2/rt_tables')
-
 source=(http://devresources.linux-foundation.org/dev/iproute2/download/iproute2-${pkgver}.tar.bz2
-	'iproute2-fhs.patch')
+	'iproute2-fhs.patch' 'tc.patch')
 sha1sums=('b57f98e284c68a464b9c3e132d29760de6331688'
-          'ae7c4529555e1dce389fcedcbb7e0df5c726741a')
+          'ae7c4529555e1dce389fcedcbb7e0df5c726741a'
+          'de7ffa44922741c1239e1715e1d81d8f4e7b04e4')
 
 build() {
   cd $srcdir/iproute2-${pkgver}
   
   # set correct fhs structure
   patch -Np1 -i ${srcdir}/iproute2-fhs.patch || return 1
-
+  patch -Np0 -i ${srcdir}/tc.patch || return 1
   ./configure || return 1
   make || return 1
 }

Added: tc.patch
===================================================================
--- tc.patch	                        (rev 0)
+++ tc.patch	2010-06-14 06:49:40 UTC (rev 82589)
@@ -0,0 +1,26 @@
+--- tc/Makefile.old	2010-06-14 08:29:49.257421437 +0200
++++ tc/Makefile	2010-06-14 08:30:07.157419977 +0200
+@@ -99,18 +99,11 @@
+ 	$(AR) rcs $@ $(TCLIB)
+ 
+ install: all
+-	echo mkdir -p $(MODDESTDIR)
+-	echo install -m 0755 tc $(DESTDIR)$(SBINDIR)
+-	for i in $(TCSO); \
+-	do echo install -m 755 $$i $(MODDESTDIR); \
+-	done
+-	if [ ! -f $(MODDESTDIR)/m_ipt.so ]; then \
+-	if [ -f $(MODDESTDIR)/m_xt.so ]; \
+-		then ln -s m_xt.so $(MODDESTDIR)/m_ipt.so ; \
+-	elif [ -f $(MODDESTDIR)/m_xt_old.so ]; \
+-		then ln -s m_xt_old.so $(MODDESTDIR)/m_ipt.so ; \
+-	fi; \
+-	fi
++	mkdir -p $(DESTDIR)$(LIBDIR)/tc
++	install -m 0755 tc $(DESTDIR)$(SBINDIR)
++	for i in $(TCSO); \
++	do install -m 755 $$i $(DESTDIR)$(LIBDIR)/tc; \
++	done
+ 
+ clean:
+ 	rm -f $(TCOBJ) $(TCLIB) libtc.a tc *.so emp_ematch.yacc.h; \



More information about the arch-commits mailing list